Subject: Utilities

From: [email-masked] (Clarence Regis Wilson)
Date: Thu, 13 Aug 1992 14:39:59 -0700

I love the new LambdaCore database, very *very* nice.  I have one question
and then one suggestion.

Q:  $match_utils has various match algorithms, giving the ability to type
"look at first box", "look at my box" etc.  I seem to remember in the old
database that they were considered "experimental" and would be added later...
Have they been added?  Will they?  I tried fooling with it, but there's
a lot to change and decided to leave it up to others :)  Is there a plan, or
strategy with regards to better multiple and partial matching?

Question: Speaking of utilities, there are quite a few of them sitting under
$root_class.  In the old db, I created a useless object, child of $root_class,
and then moved all the utilities under it.  It cleans the root children quite a
bit, and also (as a side bonus) cleans some of the #0 properties. Like so:

@create $root_class named Generic Utility
@prop $util <object number of above>
@chparent $string_utils to $util
...etc...
@prop $util.string $string_utils
...etc...
@rmprop $string_utils
...etc...

And then fixed any verbs which called $*_utils.  It was some work, but it
finally panned out, and cleaned up quite a bit.  To call $string_utils, you
just reverse the categorizing, much like netnews. Instead of "string, utils"
you think "utils, string" or "utils, lists".  Also, if $util.string wants to
call $util.match, it can also say this.match, which isn't as clear at first
glance, but in an inherited environment, is how it can be done.

Anyway, now there's a new db, I'll have to do this over again.	Does any part
this strike anyone as generally useful?  The $util class makes a lot of sense,
at least to me, even though it's only a dummy and prettifier.  Oh well.

Have fun :)

	   T. Pascal
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    "Like no cheese I've tasted before, Gromit."  -From "A Grand Day Out"
    "There will always be prayer in school as long as there are final
     exams" -Unknown
    "Absolutely unstoppable, then, so sell it on the street!" -Thomas Robertson
    "I don't like your .sig either." -Someone's .sig
    "You're going to die soon, too, but in the mean time you eat!"
					    -Paul Bowles
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       t_pascal@{cub.math,jaguar.math,bobcat,tiger,gate}.oxy.edu
T. Pascal and Associates is an equal-opportunity hacking and programming
corporation.  Send inquiries and/or resumes to one of the above addresses.